import * as $dara from '@darabonba/typescript';
export declare class GetImageEventOperationRequest extends $dara.Model {
    /**
     * @remarks
     * The primary key of the alert handling rule.
     *
     * @example
     * 814163
     */
    id?: number;
    /**
     * @remarks
     * The language of the content within the request and response. Valid values:
     *
     * *   **zh**: Chinese
     * *   **en**: English
     *
     * @example
     * zh
     */
    lang?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
